classification
Title: Allow non-ascii chars in IDLE NEWS.txt (for contributor names)
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: benjamin.peterson, larry, ned.deily, python-dev, serhiy.storchaka, terry.reedy
Priority: release blocker Keywords: patch

Created on 2016-06-22 03:04 by terry.reedy, last changed 2019-03-21 18:17 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
idle-news-27.diff terry.reedy, 2016-06-22 05:30 review
idle-news-36.diff terry.reedy, 2016-06-22 05:30 review
idle-news-35.diff terry.reedy, 2016-06-22 05:44 review
Messages (22)
msg269042 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-22 03:04
A month ago, for 3.5 and 3.6, I added a test file by Westley Martínez (note accent on i) and then his name into Misc/NEWS and idlelib/NEWS.txt.  As a result, the latter will not display when the button on About IDLE is clicked.  Instead, a UnicodeDecodeError is sent to stderr.  I will add a test for the About box.
msg269045 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-22 05:44
Larry, there is a slight reversion in 3.5.2rc that I think should be fixed: idlelib/NEWS.txt will not display from About IDLE dialog because it had a couple of non-ascii chars.  idle_news-35.diff has the full patch.  A minimal fix for 3.5.2 final would consist of changing 'ascii' to 'utf-8' in idlelib/aboutDialog.py and the recoding the 2 characters in NEWS.  Testing changes in the other 2 files could wait. 

Since I don't know how you want to do this now, I have not pushed anything yet.
msg269048 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-22 06:13
New changeset 45d4cea97b04 by Benjamin Peterson in branch '2.7':
fix idle about dialog #27365
https://hg.python.org/cpython/rev/45d4cea97b04
msg269051 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2016-06-22 07:33
If the diff is literally changing two lines, I'll accept it.  Guido relaxed the rules for IDLE changes.  If it breaks something it's on *your* head ;-)

Please just check it in normally.  Either I'm going to use hg to cherry-pick the changes for 3.5.2 final, or I'm going to have to apply patches manually anyway.  Either way an hg checkin is fine.

Please check in this minimal change *as a separate checkin* from the larger changes, if you're committing the other changes any time soon.
msg269052 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-22 07:41
I should mention that I have separate 3.5 and 3.6 patches because I know that the merge will not work.
msg269053 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-22 07:45
I was wondering if splitting the patch would be better.  Shelve makes it easy.
msg269054 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-22 07:57
New changeset 783dfd77e4c1 by Terry Jan Reedy in branch '3.5':
Issue #27365: Allow non-ascii in idlelib/NEWS.txt - minimal part for 3.5.2.
https://hg.python.org/cpython/rev/783dfd77e4c1

New changeset b8926908d2a0 by Terry Jan Reedy in branch 'default':
Issue #27365:  Merge minimal part.
https://hg.python.org/cpython/rev/b8926908d2a0
msg269056 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-22 08:04
783dfd77e4c1 is the one to pick for 3.5, then null merge if you merge to 3.6.
msg269057 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-22 08:24
New changeset d5ee1e5c1ac0 by Terry Jan Reedy in branch '3.5':
Issue #27365: Allow non-ascii in idlelib/NEWS.txt, for contributor names.
https://hg.python.org/cpython/rev/d5ee1e5c1ac0

New changeset e7ecad98a785 by Terry Jan Reedy in branch 'default':
Issue #27365: temporary rename
https://hg.python.org/cpython/rev/e7ecad98a785

New changeset a4aa45859b5c by Terry Jan Reedy in branch 'default':
Issue #27365: partial merge
https://hg.python.org/cpython/rev/a4aa45859b5c
msg269059 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-22 08:51
New changeset 54dde0cb10f9 by Terry Jan Reedy in branch 'default':
Issue #27365: revert  temporary rename
https://hg.python.org/cpython/rev/54dde0cb10f9

New changeset be0dec826982 by Terry Jan Reedy in branch 'default':
Issue #27365: add chunk
https://hg.python.org/cpython/rev/be0dec826982
msg269060 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-22 08:54
New changeset 3a122d0e4187 by Terry Jan Reedy in branch 'default':
Issue #27365: add chunk
https://hg.python.org/cpython/rev/3a122d0e4187
msg269061 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-22 08:57
New changeset 49323bb44229 by Terry Jan Reedy in branch 'default':
Issue #27365: revert  temporary rename
https://hg.python.org/cpython/rev/49323bb44229
msg269065 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-22 09:04
Because of the case conflict I did not notice soon enough, the rest of the patch and merge did not go well and I got this

test test_idle crashed -- Traceback (most recent call last):
  File "F:\Python\dev\36\lib\test\libregrtest\runtest.py", line 180, in runtest_inner
    test_runner()
  File "F:\Python\dev\36\lib\test\libregrtest\runtest.py", line 178, in test_runner
    raise Exception("errors while loading tests")
Exception: errors while loading tests

I suspect it is a problem with textView/textview, so I will temporarily disable test files to find the culprit.
msg269066 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-22 09:49
New changeset 33769ce40b47 by Terry Jan Reedy in branch 'default':
Issue #27365: Finish merge so tests pass.
https://hg.python.org/cpython/rev/33769ce40b47
msg269067 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-22 09:53
Suspicion wrong.  idle_test and hand tests pass.

Larry, I am done with this.  I left it open until you are also.
msg269069 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-22 11:29
Is this dance with renaming forever?
msg269076 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-22 15:52
No, it ends with the last 3.5 maintenance release in about 6 months.  When I did it right, as in #27245, which was otherwise a clean single file merge, there was no problem and it took at most an extra 30 seconds.  I know what I did wrong this time, starting with not writing down the steps needed, and in which order, for a much more complicated merge.
msg269084 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2016-06-22 20:26
You speak confidently, for a guy who hasn't seen any sort of schedule from the 3.5 RM.  :-O

After 3.6 comes out, I expect 3.5 to get one more "bug fix" release.  And *then* it will transition to "security fixes only" mode.  Six months is the absolute minimum, and I'd expect it to be longer than that.
msg269088 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-22 21:21
As a practical matter, I have no plans to backport except in exceptional cases.  If the regression had only affected 3.6, I would have left 2.7 and 3.5 alone.
msg269147 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-23 22:08
New changeset cbc6407fa393 by Terry Jan Reedy in branch '2.7':
Issue #27365: Add blank lines. to 2.7 test_editmenu
https://hg.python.org/cpython/rev/cbc6407fa393
msg269258 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2016-06-25 21:05
If this is fixed, and resolved, why is it still open?  Closing.
msg269342 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-27 03:02
New changeset 30e563e2702e by Terry Jan Reedy in branch '3.5':
Issue #27365: Allow non-ascii in idlelib/NEWS.txt - minimal part for 3.5.2.
https://hg.python.org/cpython/rev/30e563e2702e
History
Date User Action Args
2019-03-21 18:17:57terry.reedysetcomponents: + IDLE
2016-06-27 03:02:12python-devsetmessages: + msg269342
2016-06-25 21:05:01larrysetstatus: open -> closed

messages: + msg269258
2016-06-23 22:08:07python-devsetmessages: + msg269147
2016-06-22 21:21:37terry.reedysetmessages: + msg269088
2016-06-22 20:26:38larrysetmessages: + msg269084
2016-06-22 15:52:49terry.reedysetmessages: + msg269076
2016-06-22 11:29:45serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg269069
2016-06-22 09:53:08terry.reedysetresolution: fixed
messages: + msg269067
stage: test needed -> resolved
2016-06-22 09:49:51python-devsetmessages: + msg269066
2016-06-22 09:04:55terry.reedysetmessages: + msg269065
2016-06-22 08:57:50python-devsetmessages: + msg269061
2016-06-22 08:54:40python-devsetmessages: + msg269060
2016-06-22 08:51:08python-devsetmessages: + msg269059
2016-06-22 08:24:53python-devsetmessages: + msg269057
2016-06-22 08:04:01terry.reedysetmessages: + msg269056
2016-06-22 07:57:56python-devsetmessages: + msg269054
2016-06-22 07:45:35terry.reedysetmessages: + msg269053
2016-06-22 07:41:12terry.reedysetmessages: + msg269052
2016-06-22 07:33:45larrysetmessages: + msg269051
2016-06-22 06:13:56python-devsetnosy: + python-dev, ned.deily
messages: + msg269048
2016-06-22 05:44:39terry.reedysetfiles: - idle-news.diff
2016-06-22 05:44:28terry.reedysetfiles: + idle-news-35.diff
priority: normal -> release blocker

nosy: + larry, benjamin.peterson
messages: + msg269045
2016-06-22 05:30:53terry.reedysetfiles: + idle-news-36.diff
2016-06-22 05:30:36terry.reedysetfiles: + idle-news-27.diff
2016-06-22 03:05:19terry.reedysetfiles: + idle-news.diff
keywords: + patch
2016-06-22 03:04:05terry.reedycreate